Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I need to use two different Windows applications, one works well with Wine 1.4 but not on Wine 1.5 and the other application works well with the later version but not with the former.

Is there a way to have both versions of Wine installed, specifying which application should run with which Wine version?

share|improve this question

2 Answers 2

up vote 4 down vote accepted

PlayOnLinuxInstall PlayOnLinux

You can use PlayOnLinux to install applications which run on different versions of wine. PlayOnLinux provides an option of installing some libraries as well along with installation of a program.

To mange different versions of wine, go to Tools > Manage Wine Versions

Wine_Versions

If you want to add your custom compiled version of Wine to this list, create new wine "version" in ~/.PlayOnLinux/wine/linux-amd64 or linux-x86 and copy your custom installation there.

While installing an application you have an option of installing it a new virtual drive, in which you can install a different version of wine.

Virtual_Drive

PlayOnLinux

share|improve this answer
    
could you elaborate more? this issue is very important and your answer needs more attention - but first has to be detailed. i have not tried it myself, but: ubuntu.igameilive.com/2010/02/… –  cipricus Feb 19 '13 at 23:47

See the FAQ of wine here telling you that. Fixing environment variables you'll be able to get it.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.